﻿<?xml version="1.0" encoding="utf-8"?>
<Project ToolsVersion="14.0" DefaultTargets="Build" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <Import Project="$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props" Condition="Exists('$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props')" />
  <PropertyGroup>
    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
    <ProjectGuid>{374FD622-A085-4500-8B72-ACC3C345BB1E}</ProjectGuid>
    <OutputType>Library</OutputType>
    <AppDesignerFolder>Properties</AppDesignerFolder>
    <RootNamespace>BBI.Service</RootNamespace>
    <AssemblyName>BBI.Service</AssemblyName>
    <TargetFrameworkVersion>v4.5.2</TargetFrameworkVersion>
    <FileAlignment>512</FileAlignment>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
    <DebugSymbols>true</DebugSymbols>
    <DebugType>full</DebugType>
    <Optimize>false</Optimize>
    <OutputPath>bin\Debug\</OutputPath>
    <DefineConstants>DEBUG;TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
    <DebugType>pdbonly</DebugType>
    <Optimize>true</Optimize>
    <OutputPath>bin\Release\</OutputPath>
    <DefineConstants>TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <ItemGroup>
    <Reference Include="Newtonsoft.Json, Version=9.0.0.0, Culture=neutral, PublicKeyToken=30ad4fe6b2a6aeed, processorArchitecture=MSIL">
      <HintPath>..\..\packages\Newtonsoft.Json.9.0.1\lib\net45\Newtonsoft.Json.dll</HintPath>
      <Private>True</Private>
    </Reference>
    <Reference Include="System" />
    <Reference Include="System.Core" />
    <Reference Include="System.Net.Http.Formatting, Version=5.2.3.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35, processorArchitecture=MSIL">
      <HintPath>..\..\packages\Microsoft.AspNet.WebApi.Client.5.2.3\lib\net45\System.Net.Http.Formatting.dll</HintPath>
      <Private>True</Private>
    </Reference>
    <Reference Include="System.Web" />
    <Reference Include="System.Web.Extensions" />
    <Reference Include="System.Xml.Linq" />
    <Reference Include="System.Data.DataSetExtensions" />
    <Reference Include="Microsoft.CSharp" />
    <Reference Include="System.Data" />
    <Reference Include="System.Net.Http" />
    <Reference Include="System.Xml" />
  </ItemGroup>
  <ItemGroup>
    <Compile Include="Appointment\AppointmentService.cs" />
    <Compile Include="Appointment\AppointmentSlotManage.cs" />
    <Compile Include="Appointment\IAppointmentService.cs" />
    <Compile Include="Blog\BlogService.cs" />
    <Compile Include="Blog\IBlogService.cs" />
    <Compile Include="Category\CategoryService.cs" />
    <Compile Include="Category\ICategoryService.cs" />
    <Compile Include="Class1.cs" />
    <Compile Include="Configuration\EmailConfigurationService.cs" />
    <Compile Include="Configuration\IEmailConfigurationService.cs" />
    <Compile Include="Contact\ContactService.cs" />
    <Compile Include="Contact\IContactService.cs" />
    <Compile Include="DailyWorkSetting\DailyWorkSettingService.cs" />
    <Compile Include="DailyWorkSetting\IDailyWorkSettingService.cs" />
    <Compile Include="DummyFileUpload\DummyFileUploadService.cs" />
    <Compile Include="DummyFileUpload\IDummyFileUploadService.cs" />
    <Compile Include="Event\EventService.cs" />
    <Compile Include="Event\IEventService.cs" />
    <Compile Include="Exception\ExceptionService.cs" />
    <Compile Include="Exception\IExceptionService.cs" />
    <Compile Include="FileGroup\FileGroupService.cs" />
    <Compile Include="FileGroup\IFileGroupService.cs" />
    <Compile Include="Leave\ILeaveService.cs" />
    <Compile Include="Leave\LeaveService.cs" />
    <Compile Include="Properties\AssemblyInfo.cs" />
    <Compile Include="PublicHoliday\IPublicHolidayService.cs" />
    <Compile Include="PublicHoliday\PublicHolidayService.cs" />
    <Compile Include="UploadFile\IUploadService.cs" />
    <Compile Include="UploadFile\UploadFileService.cs" />
    <Compile Include="Upload\FileUploadService.cs" />
    <Compile Include="Upload\IFileUploadService.cs" />
    <Compile Include="Upload\PhotoMultipartFormDataStreamProvider.cs" />
    <Compile Include="Users\IUserService.cs" />
    <Compile Include="Users\UserService.cs" />
    <Compile Include="Xml\IXmlService.cs" />
    <Compile Include="Xml\XmlService.cs" />
  </ItemGroup>
  <ItemGroup />
  <ItemGroup>
    <None Include="app.config" />
    <None Include="packages.config" />
  </ItemGroup>
  <ItemGroup>
    <ProjectReference Include="..\BBI.Common\BBI.Common.csproj">
      <Project>{4cb96fae-7d0f-4d9e-8b16-efbcc887e2ed}</Project>
      <Name>BBI.Common</Name>
    </ProjectReference>
    <ProjectReference Include="..\BBI.DBRepository\BBI.DBRepository.csproj">
      <Project>{950b6a7f-0c38-4fdc-b302-6bf65958da51}</Project>
      <Name>BBI.DBRepository</Name>
    </ProjectReference>
    <ProjectReference Include="..\BBI.Domain\BBI.Domain.csproj">
      <Project>{5ad122e5-4095-4562-bbca-956ebb308ad4}</Project>
      <Name>BBI.Domain</Name>
    </ProjectReference>
  </ItemGroup>
  <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
  <!-- To modify your build process, add your task inside one of the targets below and uncomment it. 
       Other similar extension points exist, see Microsoft.Common.targets.
  <Target Name="BeforeBuild">
  </Target>
  <Target Name="AfterBuild">
  </Target>
  -->
</Project>